<div class="row">
	<div class="col-md-6">
		<form action='search_products.php'>	
			<div class="input-group col-md-6 float-left px-0">
				<div class="input-group mb-6">
				  <input class="form-control" type="search" placeholder="Type a name..." name="s" id="srch-term" required <?php echo isset($search_term) ? "value='$search_term'" : ""; ?> aria-label="Search">
				  <div class="input-group-append">
				    <button class="btn btn-primary" type="submit"><i class='fas fa-search'></i></button>
				  </div>
				</div>
			</div>
		</form>
	</div>
	<div class="col-md-6">
		<!-- create category button -->
		<a href='create_category.php' class="btn btn-primary float-right">
			<i class='fas fa-plus'></i> Create Category
		</a>
	</div>
</div>
<?php
// if number of categories returned is greater than zero
if($num>0){
	
	echo "<table class='table table-hover mt-3'>";
	
		// table headings
		echo "<tr>";
			echo "<th>Name</th>";
			echo "<th>Description</th>";
			echo "<th>Actions</th>";
		echo "</tr>";
		
		// loop through the categories and show details
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
		
			extract($row);
			
			echo "<tr>";
				echo "<td>{$name}</td>";
				echo "<td>{$description}</td>";
				echo "<td>";
					echo "<a href='category.php?id={$id}' class='btn btn-primary margin-right-1em'>";
						echo "<i class='fas fa-eye'></i> View Categories";
					echo "</a>";
					
					// edit category button
					echo "<a href='update_category.php?id={$id}' class='btn btn-info margin-right-1em'>";
						echo "<i class='fas fa-edit'></i> Edit";
					echo "</a>";
					
					// delete category button
					echo "<button delete-id='{$id}' delete-file='delete_category.php' class='btn btn-danger delete-object'>";
						echo "<i class='fas fa-trash'></i> Delete";
					echo "</button>";
				echo "</td>";
				
			echo "</tr>";
			
		}
		
	echo "</table>";
	
	// pagination, identify $page_dom and $total_rows
	// $page_dom is the page where pagination was used
	// $total_rows is the number of rows retrieved on that page
	
	if($page_url=='read_categories.php?'){
		
		// query to count all data
		$query = "SELECT COUNT(*) as total_rows FROM categories";
	 
		// prepare query statement
		$stmt = $con->prepare($query);
		
	}
	
	else if($page_url=="search_categories.php?s={$search_term}&"){
		
		// search query
		$query = "SELECT COUNT(*) as total_rows FROM categories WHERE name LIKE ? OR description LIKE ?";
		
		// prepare query statement
		$stmt = $con->prepare($query);
		
		// bind search term
		$search_term = "%{$search_term}%";
		$stmt->bindParam(1, $search_term);
		$stmt->bindParam(2, $search_term);
		
		
	}
	
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	$total_rows = $row['total_rows'];

	// actual paging buttons
	include_once 'paging.php';

}

// tell the user if there's no categories in the database
else{
	echo "<div class='alert alert-danger' role='alert'>";
		echo "<strong>No categories found</strong>";
	echo "</div>";
}
?>